# `beanstalkd` module
## Metrics
Source: https://github.com/beanstalkd/beanstalkd/blob/master/doc/protocol.txt
| Metric name | Labels | Description |
| ----------- | ------ | ---- |
| openio_beanstalkd_jobs                  | `service`, `service_addr`, `service_type`, `status`, `tube`  | `current-job-urgent`, `current-jobs-ready`, `current-jobs-reserved`, `current-jobs-delayed`, `current-jobs-buried` |
| openio_beanstalkd_commands_total        | `service`, `service_addr`, `service_type`, `command`         | `total-connections` |
| openio_beanstalkd_job_timeouts_total    | `service`, `service_addr`, `service_type`                    | `job-timeouts` |
| openio_beanstalkd_jobs_total            | `service`, `service_addr`, `service_type`, `tube`            | `total-jobs` |
| openio_beanstalkd_jobs_size_bytes_max   | `service`, `service_addr`, `service_type`                    | `max-jobs-size` |
| openio_beanstalkd_tubes                 | `service`, `service_addr`, `service_type`                    | `current-tubes` |
| openio_beanstalkd_connections           | `service`, `service_addr`, `service_type`, `type`, `tube`    | `current-connections`, `current-producers`, `current-workers`, `current-waiting`, `current-using`, `current-watching` |
| openio_beanstalkd_connections_total     | `service`, `service_addr`, `service_type`                    | `total-connections` |
| openio_beanstalkd_uptime_seconds        | `service`, `service_addr`, `service_type`                    | `uptime` |
| openio_beanstalkd_binlog_records        | `service`, `service_addr`, `service_type`, `type`            | `binlog-records-migrated`, `binlog-records-written` |
| tube_pause_seconds                      | `service`, `service_addr`, `service_type`, `tube`            | `pause` |
| tube_pause_left_seconds                 | `service`, `service_addr`, `service_type`, `tube`            | `pause-time-left` |
| openio_beanstalkd_binlog_current_index  | `service`, `service_addr`, `service_type`                    | `binlog-current-index` |
| openio_beanstalkd_binlog_size_bytes_max | `service`, `service_addr`, `service_type`                    | `binlog-max-size` |
| openio_beanstalkd_binlog_oldest_index   | `service`, `service_addr`, `service_type`                    | `binlog-oldest-index` |

### Sample
```
openio_beanstalkd_binlog_current_index{host="gw",namespace="OPENIO",service_type="beanstalkd",service_addr="172.30.0.111:6014"} 747.000000
openio_beanstalkd_binlog_oldest_index{host="gw",namespace="OPENIO",service_type="beanstalkd",service_addr="172.30.0.111:6014"} 747.000000
openio_beanstalkd_binlog_records{host="gw",namespace="OPENIO",service_type="beanstalkd",service_addr="172.30.0.111:6014",type="written"} 884267.000000
openio_beanstalkd_binlog_size_bytes_max{host="gw",namespace="OPENIO",service_type="beanstalkd",service_addr="172.30.0.111:6014"} 10240000.000000
openio_beanstalkd_commands_total{host="gw",namespace="OPENIO",service_type="beanstalkd",service_addr="172.30.0.111:6014",command="watch"} 13.000000
openio_beanstalkd_connections{host="gw",namespace="OPENIO",service_type="beanstalkd",service_addr="172.30.0.111:6014",type="worker",tube="*"} 12.000000
openio_beanstalkd_connections_total{host="gw",namespace="OPENIO",service_type="beanstalkd",service_addr="172.30.0.111:6014"} 181956.000000
openio_beanstalkd_jobs{host="gw",namespace="OPENIO",service_type="beanstalkd",service_addr="172.30.0.111:6014",status="urgent",tube="oio-rebuild"} 0.000000
openio_beanstalkd_job_size_bytes_max{host="gw",namespace="OPENIO",service_type="beanstalkd",service_addr="172.30.0.111:6014"} 65535.000000
openio_beanstalkd_jobs_total{host="gw",namespace="OPENIO",service_type="beanstalkd",service_addr="172.30.0.111:6014",tube="oio-rebuild"} 0.000000
openio_beanstalkd_job_timeouts_total{host="gw",namespace="OPENIO",service_type="beanstalkd",service_addr="172.30.0.111:6014"} 0.000000
openio_beanstalkd_tube_pause_left_seconds{host="gw",namespace="OPENIO",service_type="beanstalkd",service_addr="172.30.0.111:6014",tube="oio-rebuild"} 0.000000
openio_beanstalkd_tube_pause_seconds{host="gw",namespace="OPENIO",service_type="beanstalkd",service_addr="172.30.0.111:6014",tube="oio-rebuild"} 0.000000
openio_beanstalkd_tubes{host="gw",namespace="OPENIO",service_type="beanstalkd",service_addr="172.30.0.111:6014"} 4.000000
openio_beanstalkd_uptime_seconds{host="gw",namespace="OPENIO",service_type="beanstalkd",service_addr="172.30.0.111:6014"} 106384.000000
```
